--- old/usr/src/lib/libzfs/Makefile.com	Mon Nov  6 02:54:37 2017
+++ new/usr/src/lib/libzfs/Makefile.com	Mon Nov  6 02:54:37 2017
@@ -22,6 +22,7 @@
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2016 Igor Kozhukhov <ikozhukhov@gmail.com>
 # Copyright (c) 2011, 2016 by Delphix. All rights reserved.
+# Copyright 2017 RackTop Systems.
 #
 
 LIBRARY= libzfs.a
@@ -70,8 +71,10 @@
 C99MODE=	-xc99=%all
 C99LMODE=	-Xc99=%all
 LDLIBS +=	-lc -lm -ldevid -lgen -lnvpair -luutil -lavl -lefi \
-	-ladm -lidmap -ltsol -lmd -lumem -lzfs_core -lcmdutils
-CPPFLAGS +=	$(INCS) -D_LARGEFILE64_SOURCE=1 -D_REENTRANT
+	-ladm -lidmap -ltsol -lmd -lumem -lzfs_core -lcmdutils \
+	-lfakekernel
+CPPFLAGS +=	$(INCS) -D_LARGEFILE64_SOURCE=1 -D_REENTRANT \
+	-D_TASKQUSER
 $(NOT_RELEASE_BUILD)CPPFLAGS += -DDEBUG
 
 # There's no lint library for zlib, so only include this when building
